package intrinsic.mx.collections;

public interface ICollectionView extends intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public intrinsic.Function filterFunction;
//	public intrinsic.mx.collections.Sort sort;
//	public int length;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void enableAutoUpdate();
public boolean refresh();
public void disableAutoUpdate();
public void itemUpdated(Object arg0);
public void itemUpdated(Object arg0, Object arg1);
public void itemUpdated(Object arg0, Object arg1, Object arg2);
public void itemUpdated(Object arg0, Object arg1, Object arg2, Object arg3);
public boolean contains(Object arg0);
public intrinsic.mx.collections.IViewCursor createCursor();

}
